%global debug_package %{nil}

Name: python-arrow
Epoch: 100
Version: 1.2.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Better dates and times for Python
License: Apache-2.0
URL: https://github.com/arrow-py/arrow/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Click is a Python package for creating command line interfaces in a
composable way with as little code as necessary. It's the "Command Line
Interface Creation Kit". It is configurable, and comes with defaults out
of the box.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-arrow
Summary: Better dates and times for Python
Requires: python3
Requires: python3-python-dateutil >= 2.7.0
Requires: python3-typing-extensions
Provides: python3-arrow = %{epoch}:%{version}-%{release}
Provides: python3dist(arrow) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-arrow = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(arrow) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-arrow = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(arrow) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-arrow
Arrow is a Python library that offers a sensible and human-friendly
approach to creating, manipulating, formatting and converting dates,
times and timestamps. It implements and updates the datetime type,
plugging gaps in functionality and providing an intelligent module API
that supports many common creation scenarios. Simply put, it helps you
work with dates and times with fewer imports and a lot less code.

%files -n python%{python3_version_nodots}-arrow
%license LICENSE
%{python3_sitelib}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-arrow
Summary: Better dates and times for Python
Requires: python3
Requires: python3-python-dateutil >= 2.7.0
Requires: python3-typing-extensions
Provides: python3-arrow = %{epoch}:%{version}-%{release}
Provides: python3dist(arrow) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-arrow = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(arrow) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-arrow = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(arrow) = %{epoch}:%{version}-%{release}

%description -n python3-arrow
Arrow is a Python library that offers a sensible and human-friendly
approach to creating, manipulating, formatting and converting dates,
times and timestamps. It implements and updates the datetime type,
plugging gaps in functionality and providing an intelligent module API
that supports many common creation scenarios. Simply put, it helps you
work with dates and times with fewer imports and a lot less code.

%files -n python3-arrow
%license LICENSE
%{python3_sitelib}/*
%endif

%if 0%{?centos_version} == 700
%package -n python%{python3_version_nodots}-arrow
Summary: Better dates and times for Python
Requires: python3
Requires: python36-dateutil >= 2.7.0
Requires: python3-typing-extensions
Provides: python3-arrow = %{epoch}:%{version}-%{release}
Provides: python3dist(arrow) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-arrow = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(arrow) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-arrow = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(arrow) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-arrow
Arrow is a Python library that offers a sensible and human-friendly
approach to creating, manipulating, formatting and converting dates,
times and timestamps. It implements and updates the datetime type,
plugging gaps in functionality and providing an intelligent module API
that supports many common creation scenarios. Simply put, it helps you
work with dates and times with fewer imports and a lot less code.

%files -n python%{python3_version_nodots}-arrow
%license LICENSE
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000) && !(0%{?centos_version} == 700)
%package -n python3-arrow
Summary: Better dates and times for Python
Requires: python3
Requires: python3-dateutil >= 2.7.0
Requires: python3-typing-extensions
Provides: python3-arrow = %{epoch}:%{version}-%{release}
Provides: python3dist(arrow) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-arrow = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(arrow) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-arrow = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(arrow) = %{epoch}:%{version}-%{release}

%description -n python3-arrow
Arrow is a Python library that offers a sensible and human-friendly
approach to creating, manipulating, formatting and converting dates,
times and timestamps. It implements and updates the datetime type,
plugging gaps in functionality and providing an intelligent module API
that supports many common creation scenarios. Simply put, it helps you
work with dates and times with fewer imports and a lot less code.

%files -n python3-arrow
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
